> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the manifest of an existing file sync project > Projects are implicitly filtered by the user's `read` permission. ## OpenAPI ````json GET /v{version}/FileSync/Projects/{projectId}/Manifest { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/FileSync/Projects/{projectId}/Manifest": { "get": { "tags": [ "FileSync" ], "summary": "Get the manifest of an existing file sync project", "description": "Projects are implicitly filtered by the user's `read` permission.", "operationId": "FileSync_GetManifest", "parameters": [ { "name": "projectId", "in": "path", "description": "Unique ID of the file sync project", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.FileSync.FileSyncManifest" } } } }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Access denied", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "404": { "description": "Project not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.FileSync.FileSyncManifest": { "type": "object", "properties": { "Files": { "type": "array", "items": { "$ref": "#/components/schemas/V1.Models.FileSync.FileSyncFile" }, "description": "List of manifest files", "readOnly": true }, "Version": { "type": "string", "description": "Version of the manifest", "readOnly": true } }, "description": "Manifest of a file sync project" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Models.FileSync.FileSyncFile": { "type": "object", "properties": { "Md5Checksum": { "type": "string", "description": "MD5 Checksum Hex-string of the file", "readOnly": true, "example": "415B4FA95F55D9E6E703DD9D03B2A7D8" }, "Name": { "type": "string", "description": "File name including relative file path", "readOnly": true, "example": "images/thumbnails/logo.png" }, "Size": { "type": "integer", "description": "Size of the file in bytes", "format": "int64", "readOnly": true, "example": 53479 } }, "description": "File of manifest of file sync project" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````